Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 13-09-2018 20:23:35

saxoalex
Membre
Distrib. : Debian 9
Noyau : Linux 4.9.0-4-amd64
(G)UI : KDE
Inscription : 13-09-2018

Problèmes d'affichage !

Bonjour à tous,

Je suis un débutant averti sur Linux et j'ai récemment retapé une machine qu'on ma gentiment donné. J'ai installé un petit Debian dessus ainsi qu'un Windows7. Comme vous avez pu le voir dans le titre, j'ai des problèmes d'affichage.

Je n'ai aucun problème d'affichage avec Windows et c'est avec Linux qu ça foire. J'ai déjà essayé avec Debian, Manjaro et Fedora et a chaque fois j'ai les mêmes problèmes, voir pire.

Voici comment je pourrais décrire mon problème : lorsqu'il y a un changement de fenètre, j'ai des espèces de figures (souvent triangulaires), unicolores, qui apparaissent le plus ouvent du haut gauche jusqu'au bas droit de l'écran. Ces figures changent très vite de forme et remplissent parfois 70 à 99% de l'écran, ce qui est assez désagréable.

La carte graphique est une carte Nvidia Quadro FX 1500.

lspci


0001:58:00.0 VGA compatible controller: NVIDIA Corporation G71GL [Quadro FX 1500] (rev a1)
 




J'ai installé le paquet Nvivida-detect, qui me donne ceci :

nvivida-detect


Detected NVIDIA GPUs:
0001:58:00.0 VGA compatible controller [0300]: NVIDIA Corporation G71GL [Quadro FX 1500] [10de:029e] (rev a1)

Checking card: 00.0 VGA compatible controller
Your card is only supported up to the 304 legacy drivers series.
It is recommended to install the
    nvidia-legacy-304xx-driver
package.
 




Lorsque je veux installer le driver indiqué, j'ai ceci :

apt-get install nvidia-legacy-304xx-driver
 


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
 nvidia-legacy-304xx-driver : Pré-Dépend: nvidia-installer-cleanup mais il n'est pas installable
                              Dépend: nvidia-legacy-304xx-driver-libs (= 304.137-5~bpo9+1) mais ne sera pas installé
                              Dépend: nvidia-legacy-304xx-driver-bin (= 304.137-5~bpo9+1) mais ne sera pas installé
                              Dépend: xserver-xorg-video-nvidia-legacy-304xx (= 304.137-5~bpo9+1) mais ne sera pas installé
                              Dépend: nvidia-legacy-304xx-vdpau-driver (= 304.137-5~bpo9+1) mais ne sera pas installé
                              Dépend: nvidia-legacy-304xx-alternative (= 304.137-5~bpo9+1) mais ne sera pas installé
                              Dépend: nvidia-legacy-304xx-kernel-dkms (= 304.137-5~bpo9+1) mais ne sera pas installé ou
                                       nvidia-legacy-304xx-kernel-304.137
                              Dépend: nvidia-support mais il n'est pas installable
                              Recommande: nvidia-settings-legacy-304xx mais il n'est pas installable
                              Recommande: nvidia-persistenced mais ne sera pas installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».
 



Voici une image de ce que peut donner le bug : 1536864013-screenshot-20180913-202125.png

Je ne sais pas vraiment que faire d'autre...
Merci d'avance pour votre aide !
Cordialement,
Alexandre.

Dernière modification par saxoalex (13-09-2018 20:40:43)

Hors ligne

#2 13-09-2018 20:42:19

David5647
Membre
Distrib. : Debian Buster
Noyau : 4.17.0-3-amd64
(G)UI : KDE
Inscription : 27-08-2017

Re : Problèmes d'affichage !

problème de sources_list? as tu les dépots non-free d'activés?

cat /etc/apt/sources.list
 

Hors ligne

#3 13-09-2018 20:51:59

Debian Alain
Adhérent(e)
Lieu : BREST
Distrib. : W$10 / stable / ubuntu / testing
Noyau : Linux 4.18.0-2-amd64 debian
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017
Site Web

Re : Problèmes d'affichage !

oui , David5647 .

dans la même pensée , aussi , je jetterai bien un oeuil là :

ls /etc/apt/sources.list.d/


de cette manière pour commencer .


1498812139.jpg CELTICA - Pipes Rock: Megawatt (Official Video)
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

Hors ligne

#4 14-09-2018 00:18:35

saxoalex
Membre
Distrib. : Debian 9
Noyau : Linux 4.9.0-4-amd64
(G)UI : KDE
Inscription : 13-09-2018

Re : Problèmes d'affichage !

Bonsoir,
J'avais effectivement ajouté le bon dépot.

root@alexdebian:/home/alex# cat /etc/apt/sources.list  
#

# deb cdrom:[Debian GNU/Linux 9.3.0 _Stretch_ - Official amd64 NETINST 20171209-12:10]/ stretch main

#deb cdrom:[Debian GNU/Linux 9.3.0 _Stretch_ - Official amd64 NETINST 20171209-12:10]/ stretch main

deb http://ftp.fr.debian.org/debian/ stretch main
deb-src http://ftp.fr.debian.org/debian/ stretch main

deb http://security.debian.org/debian-security stretch/updates main
deb-src http://security.debian.org/debian-security stretch/updates main

# stretch-updates, previously known as 'volatile'
deb http://ftp.fr.debian.org/debian/ stretch-updates main
deb-src http://ftp.fr.debian.org/debian/ stretch-updates main

# stretch-backports
deb http://httpredir.debian.org/debian stretch-backports main contrib non-free
 



ls /etc/apt/sources.list.d/




Cette commande ne me renvoi rien.

Dernière modification par saxoalex (14-09-2018 00:37:28)

Hors ligne

#5 14-09-2018 01:12:08

David5647
Membre
Distrib. : Debian Buster
Noyau : 4.17.0-3-amd64
(G)UI : KDE
Inscription : 27-08-2017

Re : Problèmes d'affichage !

aïe!

je pense que ton sources.list est un peu bancal, voire dangereux pour ton système

1) tu dois ajouter les section "contrib" "et non-free" pour les dépots stretch (à la fin de chaque ligne des sources),
    là, tu vas chercher systématiquement tes paquets (contrib et non-free) dans les backports,
    c'est un peu dangereux!

2) Pourquoi as tu ajouté des backports? As tu connaissance des priorités au seins des dépôts?
si je ne me trompe pas, par défaut les backport ont une priorité moindre que stretch, du coup pour installer depuis backport :

apt-get -t stretch-backports install mon_paquet

Hors ligne

#6 14-09-2018 02:12:38

saxoalex
Membre
Distrib. : Debian 9
Noyau : Linux 4.9.0-4-amd64
(G)UI : KDE
Inscription : 13-09-2018

Re : Problèmes d'affichage !

je vais ajouter ça tout de suite !

Je n'ai malheureusement pas connaissance des priorités. J'ai ajouté le backports pour obtenir la liste des paquets Nvidia.

Hors ligne

#7 14-09-2018 02:33:47

David5647
Membre
Distrib. : Debian Buster
Noyau : 4.17.0-3-amd64
(G)UI : KDE
Inscription : 27-08-2017

Re : Problèmes d'affichage !

ils sont dans stretch aussi,
les backports permettent d'obtenir des versions plus récentes au détriment de la stabilité,
si cela à un intérêt pour des cartes graphiques récentes, j'ai un peu plus de doute pour les plus anciennes...

je te conseille d'essayer d'abord avec les paquets non-free de stretch et si ça ne va pas d'essayer ulterieurement d'autres solutions

Hors ligne

#8 14-09-2018 03:07:42

saxoalex
Membre
Distrib. : Debian 9
Noyau : Linux 4.9.0-4-amd64
(G)UI : KDE
Inscription : 13-09-2018

Re : Problèmes d'affichage !

J'ai fais tout bien comme t'as dis, puis :

apt-get update


apt-get install nvidia-detect



nvidia-detect


Detected NVIDIA GPUs:
0001:58:00.0 VGA compatible controller [0300]: NVIDIA Corporation G71GL [Quadro FX 1500] [10de:029e] (rev a1)

Checking card: 00.0 VGA compatible controller
Your card is only supported up to the 304 legacy drivers series.
It is recommended to install the
    nvidia-legacy-304xx-driver
package.
 



J'ai donc installé nvidia-legacy-304xx-driver. Maintenant, je suis confronté à ma console qui me dit qu'il y a un conflit avec le module "nouveau". Je sais juste que c'est un module d'affichage.

1536887203-screenshot-20180914-030618.png

Dans le doute, je vais faire un backup avec backup2l de mes différents dossiers pour pouvoir réparer la casse en cas de plantage. J'attends vos confirmations !

Hors ligne

#9 14-09-2018 09:29:07

robert2a
Membre
Lieu : France
Inscription : 15-11-2014

Re : Problèmes d'affichage !

Bonjour

tu aurais dû poster dans matériel  smile   pour un problème de driver.

il faut mettre un sources.list correct (sans backports , c'est le mal tongue  )
comme ceci (avec contrib non-free)


#Stretch 9
deb http://security.debian.org/ stretch/updates main contrib non-free
deb http://deb.debian.org/debian/ stretch-updates main contrib non-free
deb http://deb.debian.org/debian/ stretch main contrib non-free
 



ensuite il faut nous dire avec le driver "nouveau" comment cela se passe avec cette carte.
ps: pour l'instant tu n'a pas le firmware nvidia pour le gpu (aucune idée si nécessaire , le matériel est ancien )

tu peu l'installer comme ceci


apt-get install firmware-misc-nonfree
 



ensuite tu peu installer les headers comme ceci


apt-get --reinstall install linux-image-amd64 linux-headers-amd64
 



un reboot de la machine

nota: avec les vieux drivers je sais pas si il ne faut pas blacklister "nouveau" et utiliser un fichier "xorg.conf"
je suis plus trop dans le coup sur du vieux matériel ...........   roll

remplir ton profil (tu a quoi comme bureau avec KDE ? )

si avec tes tentatives d'installation du driver nonfree nvidia , il faudra peut etre purger.

pour l'installation utilise "aptitude" et tu a l'option "-s" pour seulement simuler l'installation


apt-get install aptitude
 



voila ce que donne le wiki debian


apt update
apt install linux-headers-$(uname -r|sed 's/[^-]*-[^-]*-//') nvidia-legacy-304xx-driver
 



comme je t'ai fait installer les headers au dessus , plus simple


apt update
 


en simulation


apt-get -s install nvidia-legacy-304xx-driver
 



pour créer un fichier xorg.conf
en manuel dans /etc/X11/xorg.conf.d/20-nvidia.conf


    Section "Device"
            Identifier "Device0"
            Driver "nvidia"
    EndSection
 


Ou
On peut créer le fichier de configuration ci-dessus avec ces commandes :


     mkdir /etc/X11/xorg.conf.d
 



     echo -e 'Section "Device"\n\tIdentifier "Device0"\n\tDriver "nvidia"\nEndSection' > /etc/X11/xorg.conf.d/20-nvidia.conf
 



pour "nouveau" tu remplace "Driver "nvidia""  par  "Driver "nouveau""
comme ceci
pour créer un fichier xorg.conf
en manuel dans /etc/X11/xorg.conf.d/20-nvidia.conf


    Section "Device"
            Identifier "Device0"
            Driver "nouveau"
    EndSection
 


Ou
On peut créer le fichier de configuration ci-dessus avec ces commandes :


     mkdir /etc/X11/xorg.conf.d
 



     echo -e 'Section "Device"\n\tIdentifier "Device0"\n\tDriver "nouveau"\nEndSection' > /etc/X11/xorg.conf.d/20-nvidia.conf
 



pour d'éventuel problème avec "nouveau" ou "modesetting" tu peu blacklister "nouveau" et donner des commandes a grub pour désactiver "modeset" du noyau

pour grub dans /etc/default/grub tu ajoute "nouveau.modeset=0" avant "quiet" comme ci dessous


# If you change this file, run 'update-grub' afterwards to update
# /boot/grub/grub.cfg.
# For full documentation of the options in this file, see:
#   info -f grub -n 'Simple configuration'

GRUB_DEFAULT=0
GRUB_TIMEOUT=5
GRUB_DISTRIBUTOR=`lsb_release -i -s 2> /dev/null || echo Debian`
GRUB_CMDLINE_LINUX_DEFAULT="nouveau.modeset=0 quiet"
 



pour blacklister "nouveau"
dans /etc/modprob.d   tu crée un fichier (par exemple: blacklist-nouveau.conf)
avec ce contenu



blacklist nouveau
 



remarque


# You need to run "update-initramfs -u" after editing this file.

# see #580894
 



nota: pour du matériel récent tout ceci est inutile , mais dans le doute je t'ai tout noté
pour commencer donne le retour de ce qui se passe avec nouveau et ta carte. ( KMS (modesetting) du kernel va tenter de configurer ton gpu

voir les logs si cela se passe mal

je pense que j'ai rien oublié , au plus tu sera précis dans tes retours au plus il sera facile de t'aider

REMARQUE IMPORTANTE: le message que tu a dans ton #8 c'est pour te notifier qu il faut que tu redémarre la machine (a priori le driver "nvidia" va blacklister nouveau au reboot).
idem pour le fichier xorg.conf , si tu n'a pas de message c'est qu il n'est plus obligatoire . (de le créer (dans le doute) ne pose pas de problème même si il n'est pas obligatoire)

après avoir parcouru rapidement le fil , je ne vois rien sur les headers qui sont obligatoire pour compiler les modules du driver.

Dernière modification par robert2a (14-09-2018 10:35:06)

Hors ligne

#10 14-09-2018 15:07:32

saxoalex
Membre
Distrib. : Debian 9
Noyau : Linux 4.9.0-4-amd64
(G)UI : KDE
Inscription : 13-09-2018

Re : Problèmes d'affichage !

Bonjour,

Merci pour ce message complet que je vais m’empresser de stocker dans mes favoris.

Le truc, c'est que après redémarrage de l'ordinateur, je n'ai plus eu de problèmes graphiques, je ne sais donc pas si je dois réinstaller le firmware.

Y'a-t-il un moyen de savoir quel pilote a pris le relai ? (histoire de voir si c'est toujours "nouveau" ou si il a été blacklisté).

Hors ligne

#11 14-09-2018 15:29:31

Debian Alain
Adhérent(e)
Lieu : BREST
Distrib. : W$10 / stable / ubuntu / testing
Noyau : Linux 4.18.0-2-amd64 debian
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017
Site Web

Re : Problèmes d'affichage !

peut être essayer çà  :

lspci -nnk | grep -Ei '(vga|display)' -A2


devrai renvoyer  la ligne du(des) écran(s) avec son(ses) pilote(s) ...


1498812139.jpg CELTICA - Pipes Rock: Megawatt (Official Video)
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

Hors ligne

#12 14-09-2018 15:49:18

saxoalex
Membre
Distrib. : Debian 9
Noyau : Linux 4.9.0-4-amd64
(G)UI : KDE
Inscription : 13-09-2018

Re : Problèmes d'affichage !

lspci -nnk | grep -Ei '(vga|display)' -A2
 


0001:58:00.0 VGA compatible controller [0300]: NVIDIA Corporation G71GL [Quadro FX 1500] [10de:029e] (rev a1)
        Subsystem: NVIDIA Corporation G71GL [Quadro FX 1500] [10de:032c]
        Kernel modules: nvidia
 



De ce que je vois, c'est le pilote qui a été installé qui a prit le relai !

Hors ligne

#13 14-09-2018 16:06:28

Debian Alain
Adhérent(e)
Lieu : BREST
Distrib. : W$10 / stable / ubuntu / testing
Noyau : Linux 4.18.0-2-amd64 debian
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017
Site Web

Re : Problèmes d'affichage !

essaies aussi

glxinfo -B



et je m'arrête là


1498812139.jpg CELTICA - Pipes Rock: Megawatt (Official Video)
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

Hors ligne

#14 14-09-2018 16:10:28

robert2a
Membre
Lieu : France
Inscription : 15-11-2014

Re : Problèmes d'affichage !

oui je t'ai fait un bilan complet (plutôt utile pour les anciennes debian)
donc tu reboot et tout fonctionne smile
ps: le firmware ne sert que avec nouveau , donc tu n'en a pas besoin (idem si il est installé il ne perturbe pas le driver nonfree nvidia )

je pense que tu peu passé en résolu smile

la commande ci dessus "glxinfo -B"  confirmera que tout va bien

nota: dans /etc/modprobe.d/  tu dois avoir un fichier qui s'appelle  "nvidia-blacklists-nouveau.conf" qui a été créé par l installation
debian a fortement simplifié l'installation des drivers vidéo

Dernière modification par robert2a (14-09-2018 16:17:29)

Hors ligne

#15 14-09-2018 16:31:43

saxoalex
Membre
Distrib. : Debian 9
Noyau : Linux 4.9.0-4-amd64
(G)UI : KDE
Inscription : 13-09-2018

Re : Problèmes d'affichage !

glxinfo -B


name of display: :0
Xlib:  extension "GLX" missing on display ":0".
Xlib:  extension "GLX" missing on display ":0".
Xlib:  extension "GLX" missing on display ":0".
Xlib:  extension "GLX" missing on display ":0".
Xlib:  extension "GLX" missing on display ":0".
Xlib:  extension "GLX" missing on display ":0".
Xlib:  extension "GLX" missing on display ":0".
Error: couldn't find RGB GLX visual or fbconfig
Xlib:  extension "GLX" missing on display ":0".
Xlib:  extension "GLX" missing on display ":0".
 



Voila !

robert2a : Voici ce qu'il y a dans le fichier :

# You need to run "update-initramfs -u" after editing this file.

# see #580894
blacklist nouveau
 




Merci beaucoup à vous tous pour votre aide !

Hors ligne

#16 14-09-2018 18:25:36

robert2a
Membre
Lieu : France
Inscription : 15-11-2014

Re : Problèmes d'affichage !

bon glxinfo ne renvoie pas ce qu il faut , a priori il manque la 3D
c'est l'équivalent d une 7900GL
tu a un affichage correct tu a dit ?

il faudrait que je vois le log de X.
a priori le driver nvidia fonctionne mal
si tu peu regarder dans /var/log/Xorg.0.log  ou dans /home/ton-utilisateur/.local/share/xorg/Xorg.0.log (.local est un fichier caché)
nota: le fichier est assez volumineux
tu dois trouver vers le milieu du log quelque chose sur DRI


[    23.789] (II) Loading sub module "dri2"
[    23.789] (II) LoadModule: "dri2"
[    23.789] (II) Module "dri2" already built-in
[    23.789] (II) NVIDIA(0): [DRI2] Setup complete
[    23.789] (II) NVIDIA(0): [DRI2]   VDPAU driver: nvidia
 



le retour de cette commande


journalctl -r -p err
 



tu peu vérifier si les deux méta-paquets sont installés (linux-image-amd64 et linux-headers-amd64)
quelque chose c'est mal passé

Dernière modification par robert2a (14-09-2018 18:54:18)

Hors ligne

#17 15-09-2018 00:06:58

Y316
Membre
Distrib. : stretch
Noyau : Linux 4.9.0-8-amd64
(G)UI : MATE 1.16.2
Inscription : 15-11-2012

Re : Problèmes d'affichage !

saxoalex a écrit :

...Le truc, c'est que après redémarrage de l'ordinateur, je n'ai plus eu de problèmes graphiques, je ne sais donc pas si je dois réinstaller le firmware.

...

C'est ce que disait le message sur ta copie d'écran en #8, soit à peu prés :

- tu es en nouveau,
- le 304xx que tu viens d'installer est en conflit avec nouveau
- il suffit de redémarrer.
- ok ?


Tu valides OK et l'installation de 304xx est terminée.
Mais l'ordinateur ne redemarre pas tout seul.


Merci quand même à robert2a pour l'excellent récapitulatif/va finir en papier dans ma boite à outils-miracles qui fonctionnent même sans piles.


Debian 9 (stretch)  + la pire ICC que vous ayez probablement jamais rencontré.

Hors ligne

#18 15-09-2018 00:59:16

saxoalex
Membre
Distrib. : Debian 9
Noyau : Linux 4.9.0-4-amd64
(G)UI : KDE
Inscription : 13-09-2018

Re : Problèmes d'affichage !

Oui, mon affichage est correct, je n'ai plus de problème !

cat /var/log/Xorg.0.log | grep "dri"


[    28.870]    X.Org XInput driver : 24.1                                              
[    30.882] (==) Matched nouveau as autoconfigured driver 0                            
[    30.882] (==) Matched nv as autoconfigured driver 1                                
[    30.882] (==) Matched modesetting as autoconfigured driver 2                        
[    30.882] (==) Matched fbdev as autoconfigured driver 3                              
[    30.883] (==) Matched vesa as autoconfigured driver 4                              
[    30.883] (==) Assigned the driver to the xf86ConfigLayout                          
[    30.899] (II) Loading /usr/lib/xorg/modules/drivers/nouveau_drv.so                  
[    30.929] (II) Loading /usr/lib/xorg/modules/drivers/modesetting_drv.so              
[    30.939] (II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so                    
[    30.950] (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so                    
[    30.956] (II) NOUVEAU driver Date:   Tue Sep 20 00:31:06 2016 -0400                
[    30.956] (II) NOUVEAU driver for NVIDIA chipset families :                          
[    30.957] (II) FBDEV: driver for framebuffer: fbdev                                  
[    30.957] (II) VESA: driver for VESA chipsets: vesa                                  
[    31.111] (EE) open /dev/dri/card0: No such file or directory                        
[    31.111] (EE) open /dev/dri/card0: No such file or directory
[    35.277] (EE) Failed to initialize GLX extension (Compatible NVIDIA X driver not found)
[    35.776]    ABI class: X.Org XInput driver, version 24.1
[    35.776] (II) Using input driver 'libinput' for 'Power Button'
[    35.887] (II) Using input driver 'libinput' for 'Power Button'
[    35.905] (II) Using input driver 'libinput' for 'USB Keyboard'
[    35.937] (II) Using input driver 'libinput' for 'USB Keyboard'
[    35.969] (II) Using input driver 'libinput' for 'USB Optical Mouse'
[    36.003] (II) No input driver specified, ignoring this device.
[    36.004] (II) No input driver specified, ignoring this device.
[    36.005] (II) No input driver specified, ignoring this device.
[    36.005] (II) No input driver specified, ignoring this device.
[    36.006] (II) No input driver specified, ignoring this device.
[    36.007] (II) No input driver specified, ignoring this device.
[    36.008] (II) No input driver specified, ignoring this device.
[    36.009] (II) No input driver specified, ignoring this device.
[    36.010] (II) Using input driver 'libinput' for 'HP WMI hotkeys'
 




journalctl -r -p err


-- Logs begin at Sat 2018-09-15 00:40:44 CEST, end at Sat 2018-09-15 00:58:24 CEST. --
sept. 15 00:40:51 alexdebian avahi-daemon[464]: chroot.c: open() failed: No such file or
sept. 15 00:40:46 alexdebian systemd-udevd[296]: Error running install command for nvidi
sept. 15 00:40:45 alexdebian systemd[1]: Failed to start Load Kernel Modules.
sept. 15 00:40:45 alexdebian systemd-modules-load[243]: Failed to insert 'nvidia': Opera
sept. 15 00:40:45 alexdebian systemd-modules-load[243]: Error running install command fo
 

Hors ligne

#19 15-09-2018 07:54:47

robert2a
Membre
Lieu : France
Inscription : 15-11-2014

Re : Problèmes d'affichage !

Bonjour
tu n'utilise pas le driver nvidia , il est installé mais mal
ceci le prouve
il n'arrive pas a charger les modules


sept. 15 00:40:45 alexdebian systemd[1]: Failed to start Load Kernel Modules.
 


et il ne trouve pas les ressources pour DRI et GLX


[    35.277] (EE) Failed to initialize GLX extension (Compatible NVIDIA X driver not found)
 


il va falloir le retirer et l installer proprement
en premier vérifier la présence des headers
je le fais sur une buster mais c'est la meme chose sur stretch
j'ai déjà les headers installé voici le retour


apt-get -s --reinstall install linux-image-amd64 linux-headers-amd64
 


retour


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
0 mis à jour, 0 nouvellement installés, 2 réinstallés, 0 à enlever et 0 non mis à jour.
Inst linux-headers-amd64 [4.18+98] (4.18+98 Debian:testing [amd64])
Inst linux-image-amd64 [4.18+98] (4.18+98 Debian:testing [amd64])
Conf linux-headers-amd64 (4.18+98 Debian:testing [amd64])
Conf linux-image-amd64 (4.18+98 Debian:testing [amd64])
 


tu vois ici => 0 mis à jour, 0 nouvellement installés, 2 réinstallés, 0 à enlever et 0 non mis à jour.
que les headers sont déja présent , il ne fait que réinstaller les méta-paquet
dans le cas contraire il aura installé au moins 4 paquets supplémentaires si les headers son absent
en simulation (avec le -s)
pour le faire tu retire le -s


apt-get --reinstall install linux-image-amd64 linux-headers-amd64
 


si tu peu me poster le retour de cette commande pour etre certain que tout est correct
pour refaire une installation du driver il faudra que je passe sur une stretch (a priori le 304 n'existe plus sur Buster , plus que le 340-legacy)
je connais pas tous les noms de paquet tongue

Hors ligne

#20 15-09-2018 08:46:47

yoshi
Membre
Lieu : Normandie
Distrib. : PCLinuxOS
Noyau : 4.19.2
(G)UI : KDE Plasma 5.14.3
Inscription : 05-03-2014

Re : Problèmes d'affichage !

Bonjour ;

Le pilote Nvidia 304-legacy est en fin de vie (pour ne pas dire qu'il est déjà mort).
Ce qui signifie: les cartes Nvidia très anciennes qui ne sont supportées que par ce pilote: remplacement par une plus récente ....
Où alors nouveau et ses imperfections, et encore ...

Desktop: CM Asus KCMA-D8. 2x AMD Opteron 4234 six coeurs @ 3,1 Ghz. 32 Go ddr3. GeForce GTX 1060.
Laptop: Toshiba C660-2D6. Intel core I3 2330M dual-core + HT @ 2,2 Ghz. 8 Go ddr3. GeForce 315M.
Media-Center: HP Compaq 6000 Pro. Intel Celeron E3400 dual-core @ 2,6 Ghz. 6 Go ddr3. GeForce GT 710.

Hors ligne

#21 15-09-2018 08:57:30

robert2a
Membre
Lieu : France
Inscription : 15-11-2014

Re : Problèmes d'affichage !

quand la question des headers ci dessus est résolu , on passe a l installation du drivers 304
comme j'ai pas envie de purger l'ancienne installation on va faire une commande a rallonge ......
tu aura un nouvel utilitaire "nvidia-smi" en console user  smile
sur ma machine ça donne (la carte est très récente)


nvidia-smi
 



Sat Sep 15 08:31:05 2018      
+-----------------------------------------------------------------------------+
| NVIDIA-SMI 384.130                Driver Version: 384.130                   |
|-------------------------------+----------------------+----------------------+
| GPU  Name        Persistence-M| Bus-Id        Disp.A | Volatile Uncorr. ECC |
| Fan  Temp  Perf  Pwr:Usage/Cap|         Memory-Usage | GPU-Util  Compute M. |
|===============================+======================+======================|
|   0  GeForce GTX 1050    Off  | 00000000:01:00.0  On |                  N/A |
| 45%   28C    P8   ERR! /  75W |     46MiB /  1998MiB |      0%      Default |
+-------------------------------+----------------------+----------------------+
                                                                               
+-----------------------------------------------------------------------------+
| Processes:                                                       GPU Memory |
|  GPU       PID   Type   Process name                             Usage      |
|=============================================================================|
|    0       545      G   /usr/lib/xorg/Xorg                            34MiB |
+-----------------------------------------------------------------------------+
 



la commande a faire
avec "apt-get" et en simulation "-s"  , pour le faire tu supprime le -s


apt-get -s --reinstall install xserver-xorg-video-nvidia-legacy-304xx nvidia-legacy-304xx-kernel-dkms nvidia-legacy-304xx-driver nvidia-legacy-304xx-driver-bin nvidia-legacy-304xx-smi nvidia-legacy-304xx-vdpau-driver nvidia-legacy-304xx-alternatives
 



Ou avec aptitude (plus bavard et il faut confirmer par y ou n) et avec l option -s aussi


aptitude -s --reinstall install xserver-xorg-video-nvidia-legacy-304xx nvidia-legacy-304xx-kernel-dkms nvidia-legacy-304xx-driver nvidia-legacy-304xx-driver-bin nvidia-legacy-304xx-smi nvidia-legacy-304xx-vdpau-driver nvidia-legacy-304xx-alternatives
 



lors de l'installation tu dois avoir un "building" du noyau (il doit créer les modules en 3 étapes ) et un "dkms completed"  sur le log de la console

il suffit de redémarrer la machine quand c'est finit (si pas d'erreur)
et tu peu tester "glxinfo -B"  et "nvidia-smi" le retour doit etre correct

remarque : tant que tu ne redémarre pas la modification n'est pas prise en compte , c'est utile si un souci par exemple.

pourquoi une commande aussi longue , je veut forcer le building du noyau , avec seulement le méta-paquet "nvidia-driver" il ne va réinstaller que ce méta-paquet
on aurait pu purger l installation et refaire la méthode de debian
ça doit fonctionner , tu fais un copier/coller de la commande  .....

j'ai oublié l utilitaire graphique nvidia (sur le bureau)


apt-get --reinstall install nvidia-settings-legacy-304xx
 



glxinfo -B doit te donner quelque chose qui ressemble a ceci  ( a la version prêt du driver et des possibilités de ta carte vidéo )


glxinfo -B
 


retour


name of display: :0
display: :0  screen: 0
direct rendering: Yes
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce GTX 1050/PCIe/SSE2
OpenGL core profile version string: 4.5.0 NVIDIA 384.130
OpenGL core profile shading language version string: 4.50 NVIDIA
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile

OpenGL version string: 4.5.0 NVIDIA 384.130
OpenGL shading language version string: 4.50 NVIDIA
OpenGL context flags: (none)
OpenGL profile mask: (none)

OpenGL ES profile version string: OpenGL ES 3.2 NVIDIA 384.130
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.20
 

Dernière modification par robert2a (15-09-2018 09:18:23)

Hors ligne

#22 30-09-2018 14:50:02

saxoalex
Membre
Distrib. : Debian 9
Noyau : Linux 4.9.0-4-amd64
(G)UI : KDE
Inscription : 13-09-2018

Re : Problèmes d'affichage !

Première commande, et déjà un problème ! Je dois être maudis...

apt-get -s --reinstall install linux-image-amd64 linux-headers-amd64


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Vous pouvez lancer « apt --fix-broken install » pour corriger ces problèmes.
Les paquets suivants contiennent des dépendances non satisfaites :
 driverscloud.com : Dépend: libx86-1 mais ne sera pas installé
 linux-image-amd64 : Dépend: linux-image-4.9.0-8-amd64 mais ne sera pas installé
E: Dépendances nLecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Vous pouvez lancer « apt --fix-broken install » pour corriger ces problèmes.
Les paquets suivants contiennent des dépendances non satisfaites :
 driverscloud.com : Dépend: libx86-1 mais ne sera pas installé
 linux-image-amd64 : Dépend: linux-image-4.9.0-8-amd64 mais ne sera pas installé
E: Dépendances non satisfaites. Essayez « apt --fix-broken install » sans paquet
   (ou indiquez une solution).
on satisfaites. Essayez « apt --fix-broken install » sans paquet
   (ou indiquez une solution).
 

Hors ligne

#23 07-10-2018 17:41:39

saxoalex
Membre
Distrib. : Debian 9
Noyau : Linux 4.9.0-4-amd64
(G)UI : KDE
Inscription : 13-09-2018

Re : Problèmes d'affichage !

Bonjour ! Après rectification du problème, voici ce que j'obtiens !

apt-get -s --reinstall install linux-image-amd64 linux-headers-amd64


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
The following additional packages will be installed:
  firmware-linux-free irqbalance linux-image-4.9.0-8-amd64
Paquets suggérés :
  linux-doc-4.9 debian-kernel-handbook
Les NOUVEAUX paquets suivants seront installés :
  firmware-linux-free irqbalance linux-image-4.9.0-8-amd64
Les paquets suivants seront mis à jour :
  linux-image-amd64
1 mis à jour, 3 nouvellement installés, 1 réinstallés, 0 à enlever et 7 non mis à jour.
Inst firmware-linux-free (3.4 Debian:9.5/stable [all])
Inst linux-headers-amd64 [4.9+80+deb9u6] (4.9+80+deb9u6 Debian-Security:9/stable [amd64])
Inst linux-image-4.9.0-8-amd64 (4.9.110-3+deb9u5 Debian-Security:9/stable [amd64])
Inst linux-image-amd64 [4.9+80+deb9u2] (4.9+80+deb9u6 Debian-Security:9/stable [amd64])
Inst irqbalance (1.1.0-2.3 Debian:9.5/stable [amd64])
Conf firmware-linux-free (3.4 Debian:9.5/stable [all])
Conf linux-headers-amd64 (4.9+80+deb9u6 Debian-Security:9/stable [amd64])
Conf linux-image-4.9.0-8-amd64 (4.9.110-3+deb9u5 Debian-Security:9/stable [amd64])
Conf linux-image-amd64 (4.9+80+deb9u6 Debian-Security:9/stable [amd64])
Conf irqbalance (1.1.0-2.3 Debian:9.5/stable [amd64])
 

Hors ligne

#24 08-10-2018 08:58:52

robert2a
Membre
Lieu : France
Inscription : 15-11-2014

Re : Problèmes d'affichage !

Bonjour
que renvoie la commande "apt update"


apt update
 


je vois 7 paquets non mit a jour au dessus
a priori les headers sont installé et a jour (il ne te propose que le méta paquet en installation)
il a mit le noyau a jour "linux-image-4.9.0-8-amd64
tu n'a fait que la simulation ? (avec -s )

nota: avant d'installer quoique ce soit , il faudra mettre a jour stretch

ps: dans ton sources.list tu utilise des dépots extérieur a debian ? , pour ceci par exemple "driverscloud"

Dernière modification par robert2a (08-10-2018 09:06:17)

Hors ligne

#25 13-10-2018 04:13:37

saxoalex
Membre
Distrib. : Debian 9
Noyau : Linux 4.9.0-4-amd64
(G)UI : KDE
Inscription : 13-09-2018

Re : Problèmes d'affichage !

apt update


gn:1 http://ftp.fr.debian.org/debian stretch InRelease
Atteint:2 http://security.debian.org/debian-security stretch/updates InRelease
Ign:3 http://ppa.launchpad.net/hanipouspilot/rtlwifi/ubuntu cosmic InRelease              
Atteint:4 http://ftp.fr.debian.org/debian stretch-updates InRelease                                            
Err:5 http://ppa.launchpad.net/hanipouspilot/rtlwifi/ubuntu cosmic Release                                    
  404  Not Found
Atteint:6 http://ftp.fr.debian.org/debian stretch Release                    
Lecture des listes de paquets... Fait                          
E: The repository 'http://ppa.launchpad.net/hanipouspilot/rtlwifi/ubuntu cosmic Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
 



Effectivement, je n'avais fais que la simulation.

Je n'utilise que les dépôts par défaut, en main, contrib et non-free.

Hors ligne

Pied de page des forums